Subject: Re: linux-next: manual merge of the bpf-next tree with the net tree

From: Alexei Starovoitov <[email-masked]>
Date: Wed, 27 Mar 2019 08:15:05 -0700

On Wed, Mar 27, 2019 at 09:26:02AM +0000, Luca Boccassi wrote:
> On Tue, 2019-03-26 at 18:56 -0700, Alexei Starovoitov wrote:
> > On Wed, Mar 27, 2019 at 09:14:37AM +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Today's linux-next merge of the bpf-next tree got a conflict in:
> > > 
> > >   tools/lib/bpf/Makefile
> > > 
> > > between commit:
> > > 
> > >   1d382264d911 ("bpf, libbpf: fix version info and add it to shared
> > > object")
> > > 
> > > from the net tree and commit:
> > > 
> > >   60e4786e229d ("tools/bpf: generate pkg-config file for libbpf")
> > > 
> > > from the bpf-next tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary. This
> > > is now fixed as far as linux-next is concerned, but any non trivial
> > > conflicts should be mentioned to your upstream maintainer when your
> > > tree
> > > is submitted for merging.  You may also want to consider
> > > cooperating
> > > with the maintainer of the conflicting tree to minimise any
> > > particularly
> > > complex conflicts.
> > 
> > argh. that's a heavy conflict.
> > Since that patch was at the top of the bpf-next I removed it for now
> > and will re-apply when bpf-next gets merged cleanly into net-next and
> > we bring back net changes into bpf-next. Sorry Luca.
> 
> No worries - for the next time, should I have based the patch on net-
> next rather than bpf-next?

new bpf related features -> bpf-next tree
bpf bugfixes -> bpf tree

Linus hasn't pulled Dave's PR yet: https://patchwork.ozlabs.org/patch/1066321/
We need these fixes to land his tree first,
then get propagated into net-next and then bpf-next will get them as well.
Sorry for this unfortunate delay.
This lib/bpf/Makefile conflict is not the only one we're waiting for.
There are verifier and other libbpf fixes in there.